package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.ResourceAuth;
import com.lightinit.hsdataplatform.entity.ResourceAuthExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.AuthorizationListModel;
import com.lightinit.hsdataplatform.model.admin.AuthorizationSearchModel;
import com.lightinit.hsdataplatform.model.admin.AuthorizationViewModel;
import org.apache.ibatis.annotations.Param;

public interface ResourceAuthMapper {
    long countByExample(ResourceAuthExample example);

    int deleteByExample(ResourceAuthExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceAuth record);

    int insertSelective(ResourceAuth record);

    List<ResourceAuth> selectByExampleWithBLOBs(ResourceAuthExample example);

    List<ResourceAuth> selectByExample(ResourceAuthExample example);

    ResourceAuth selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceAuth record, @Param("example") ResourceAuthExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceAuth record, @Param("example") ResourceAuthExample example);

    int updateByExample(@Param("record") ResourceAuth record, @Param("example") ResourceAuthExample example);

    int updateByPrimaryKeySelective(ResourceAuth record);

    int updateByPrimaryKeyWithBLOBs(ResourceAuth record);

    int updateByPrimaryKey(ResourceAuth record);

    List<AuthorizationListModel> queryList(AuthorizationSearchModel inputModel);

    long queryCount(AuthorizationSearchModel inputModel);

    AuthorizationViewModel queryOneView(long id);
}